TapestryTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.tapestry.TapestryTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.tapestry
Class TapestryTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.apache.tapestry.TapestryTagsHandler

public class TapestryTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.1 $
Author:
  Michael Newcomb (mnewcomb@sourceforge.net)
xdoclet.taghandler
  namespace="Tapestry"
created
  February 4, 2005

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`TapestryTagsHandler()`

Method Summary
`String` | `currentTagValue(Properties attributes)`
`void` | `forAllBeanItems(String template, Properties attributes)`
`void` | `forAllBeans(String template)`
`void` | `forAllComponentItems(String template, Properties attributes)`
`void` | `forAllComponents(String template)`
`void` | `forAllContextAssetItems(String template, Properties attributes)`
`void` | `forAllContextAssets(String template)`
`void` | `forAllExternalAssetItems(String template, Properties attributes)`
`void` | `forAllExternalAssets(String template)`
`void` | `forAllParameters(String template)`
`void` | `forAllPrivateAssetItems(String template, Properties attributes)`
`void` | `forAllPrivateAssets(String template)`
`void` | `forAllProperties(String template)`
`void` | `forAllPropertySpecifications(String template)`
`void` | `forAllReservedParameters(String template)`
`void` | `ifCurrentTagHasAttribute(String template, Properties attributes)`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapestryTagsHandler

    public TapestryTagsHandler()

Method Detail

### currentTagValue

    public String currentTagValue(Properties attributes)
                           throws XDocletException

  Throws:
    `XDocletException`

### forAllComponents

    public void forAllComponents(String template)
                          throws XDocletException

  Throws:
    `XDocletException`

### forAllProperties

    public void forAllProperties(String template)
                          throws XDocletException

  Throws:
    `XDocletException`

### forAllComponentItems

    public void forAllComponentItems(String template,
                                     Properties attributes)
                              throws XDocletException

  Throws:
    `XDocletException`

### forAllBeans

    public void forAllBeans(String template)
                     throws XDocletException

  Throws:
    `XDocletException`

### forAllBeanItems

    public void forAllBeanItems(String template,
                                Properties attributes)
                         throws XDocletException

  Throws:
    `XDocletException`

### forAllExternalAssets

    public void forAllExternalAssets(String template)
                              throws XDocletException

  Throws:
    `XDocletException`

### forAllExternalAssetItems

    public void forAllExternalAssetItems(String template,
                                         Properties attributes)
                                  throws XDocletException

  Throws:
    `XDocletException`

### forAllContextAssets

    public void forAllContextAssets(String template)
                             throws XDocletException

  Throws:
    `XDocletException`

### forAllContextAssetItems

    public void forAllContextAssetItems(String template,
                                        Properties attributes)
                                 throws XDocletException

  Throws:
    `XDocletException`

### forAllPrivateAssets

    public void forAllPrivateAssets(String template)
                             throws XDocletException

  Throws:
    `XDocletException`

### forAllPrivateAssetItems

    public void forAllPrivateAssetItems(String template,
                                        Properties attributes)
                                 throws XDocletException

  Throws:
    `XDocletException`

### forAllPropertySpecifications

    public void forAllPropertySpecifications(String template)
                                      throws XDocletException

  Throws:
    `XDocletException`

### forAllParameters

    public void forAllParameters(String template)
                          throws XDocletException

  Throws:
    `XDocletException`

### forAllReservedParameters

    public void forAllReservedParameters(String template)
                                  throws XDocletException

  Throws:
    `XDocletException`

### ifCurrentTagHasAttribute

    public void ifCurrentTagHasAttribute(String template,
                                         Properties attributes)
                                  throws XDocletException

  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD